define([
    "dojo",
    "dojo/_base/declare",

    "epi/_Module",

    "../GroupingHeader/initializer",
    "../HideProperties/initializer",

], function (
    dojo,
    declare,
    _Module,
    GroupingHeaderInitializer,
    HidePropertiesInitializer
) {
    return declare([_Module], {
        initialize: function () {
            this.inherited(arguments);

            var groupingHeaderInitializer = new GroupingHeaderInitializer();
            groupingHeaderInitializer.initialize();

            var hidePropertiesInitializer = new HidePropertiesInitializer();
            hidePropertiesInitializer.initialize();
        }
    });
});
