(function () {
    var topWindow = top.window;
    var activeClass = "active";

    function toggleBodyClass(onOff) {
        topWindow.document.querySelector("body").classList.toggle("showcase--panel--active", onOff);
    };

    var style = topWindow.document.createElement("style");
    style.innerHTML =
        ".showcase--panel--active .epi-overlay-blockarea {" +
        "display: none;" +
        "}";

    // Get the first script tag
    var ref = topWindow.document.querySelector("script");

    // Insert our new styles before the first script tag
    ref.parentNode.insertBefore(style, ref);


    var showcaseEditPanel = document.querySelector("#showcase--edit--panel"),
        editPanelOpenButton = document.querySelector("#showcase--edit--panel .open--panel");

    toggleBodyClass(showcaseEditPanel.classList.contains(activeClass));
    editPanelOpenButton.addEventListener("click", function () {
        showcaseEditPanel.classList.toggle(activeClass);
        toggleBodyClass(showcaseEditPanel.classList.contains(activeClass));
    });
})();
